<div class="main-content">
  <div class="mb-16">
    <h3>Новости</h3>
  </div>
  <section [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
    <div class="news"
         fxLayout.lt-sm="column"
         fxLayout.gt-xs="row wrap"
         fxLayoutAlign="space-between">
      <ng-container *ngFor="let item of news">
        <mat-card class="news_item" fxFlex.lt-sm="100" fxFlex.gt-xs="49" fxFlex.gt-lg="30">
          <mat-card-header>
            <mat-card-title>{{item.title | slice:0: 50}}{{item.title.length >=49 ? '...': ''}}</mat-card-title>
          </mat-card-header>
          <mat-divider color="primary"></mat-divider>
          <mat-card-content>
            <div fxLayout="column" fxLayoutAlign="space-around" class="news_description-wrap">

              <p class="news_description">
                <quill-view-html [content]="item.content | slice:0:270 "></quill-view-html>
              </p>
              <div fxLayout="row" class="news_detail-wrap">

                <span [ngStyle]="{'color': '#a5a5a5'}">{{item.date_news | date}}</span>
                <a  [routerLink]="['../../', item.id]" class="news_item-link">Подробнее...</a>

              </div>
            </div>

          </mat-card-content>

          <mat-card-actions *ngIf="item.files">
            <div *ngFor="let file of item.files">
              <button mat-flat-button (click)="initFileData(file?.id)" class="news_item-file">
                <mat-icon [svgIcon]=" file.type == '.pdf'? 'open-in-new': 'download'"
                          class="mr-8"></mat-icon>
                <span>{{file?.title}} {{file?.id}}</span>
              </button>
            </div>
          </mat-card-actions>

        </mat-card>
      </ng-container>
    </div>
  </section>
</div>
<app-loader *ngIf="isLoad"></app-loader>

<app-art-pagination class="p-20" (goPage)="pagination.next($event)"
                    (goNext)="pagination.next(params.page + 1)"
                    (goPrev)="pagination.next(params.page - 1)"
                    [pagesToShow]="pageToShow"
                    [page]="params.page"
                    [perPage]="params.limit"
                    [total]="total"></app-art-pagination>
